/*
 * Author: Evan Peterson
 * Cal Poly, CPE-471, Winter 2014
 */

#ifndef BOARD_H
#define BOARD_H

#include "geom.h"

class Board
{
   private:
      Model *board, *blob;
      float spinRot, endSpinRot, leanRot;
      glm::vec3 curTrans;

   public:
      ~Board(void) {}
      Board(void);
      void draw(void);
      glm::vec3 getPos(void);
};

#endif
