/*
 * Author: Evan Peterson
 * Cal Poly, CPE-471, Winter 2014
 */

#ifndef GATE_H
#define GATE_H

#include "geom.h"

class Gate
{
   private:
      Model *pole;
      glm::vec3 curTrans;
      float width;
      float xPos;
      bool hit;

   public:
      ~Gate(void) {}
      Gate(void);
      bool draw(void);
      void init(void);
      void checkHit(glm::vec3 boardPos);
      void setZ(int index);
};

#endif
