/*
 * Author: Evan Peterson
 * Cal Poly, CPE-471, Winter 2014
 */

#include "ground.h"

static int g_groundSize = 300;

Ground::Ground(void)
{
   this->ground = new Model(GROUND_MESH);
}

void Ground::draw(void)
{
   static float rotAmount = 0;

   // Bind model material.
   setMaterial(SNOW_MAT);
   // Bind model texture.
   glBindTexture(GL_TEXTURE_2D, SNOW_TEX);

   g_mStack.pushMatrix();
      g_mStack.scale(g_groundSize, 1, g_groundSize);
      g_mStack.rotate(90, jHat);
      g_mStack.translate(glm::vec3(0, -1.2f, -.5));
      g_mStack.rotate(rotAmount, kHat);
      rotAmount += g_boardVel;

      this->ground->draw();

   g_mStack.popMatrix();
}
